Subject: Re: [PATCH 8/8] ARM: Remove hacked-up asm/types.h header

From: Eric Biggers <[email-masked]>
Date: Sat, 9 May 2026 13:05:03 -0700

On Wed, Apr 22, 2026 at 07:17:04PM +0200, Ard Biesheuvel wrote:
> From: Ard Biesheuvel <[email-masked]>
> 
> ARM has a special version of asm/types.h which contains overrides for
> certain #define's related to the C types used to back C99 types such as
> uint32_t and uintptr_t.
> 
> This is only needed when pulling in system headers such as stdint.h
> during the build, and this only happens when using NEON intrinsics,
> for which there is now a dedicated header file.
> 
> So drop this header entirely, and revert to the asm-generic one.
> 
> Signed-off-by: Ard Biesheuvel <[email-masked]>
> ---
>  arch/arm/include/uapi/asm/types.h | 41 --------------------
>  1 file changed, 41 deletions(-)
> 

This is actually a UAPI header.  I guess it got put there accidentally
and isn't actually needed there?

- Eric